#include "GuiTest.h"

#include <TApplication.h>
#include <TRootEmbeddedCanvas.h>

#include <iostream>

using namespace std;

ClassImp(GuiTest)


GuiTest::GuiTest(const TGWindow* p, int w, int h) :
  TGMainFrame(p, w, h)
{
  SetCleanup(kDeepCleanup);

  TRootEmbeddedCanvas* can = new TRootEmbeddedCanvas("3DPlot", this);
  AddFrame(can);

  SetWindowName("GuiTest");
  // MapSubwindows();
  MapWindow();
  cout << "GuiTest constructor" << endl;
}


GuiTest::~GuiTest()
{
  cout << "GuiTest destructor" << endl;
}


void
GuiTest::CloseWindow()
{
  cout << "GuiTest CloseWindow" << endl;
  gApplication->Terminate(0);
}
